(* $Id: list2.ml,v 1.3 1998/09/01 09:30:58 garrigue Exp $ *)

let rec find :pred = function
    [] -> raise Not_found
  | x :: l -> if pred x then x else find l :pred

let filter :pred =
  List.fold_right acc:[] fun:(fun x :acc -> if pred x then x :: acc else acc)

let exclude x in:l = filter l pred:((<>) x)

let rec flat_map fun:f = function
    [] -> []
  | x :: l -> f x @ flat_map fun:f l
