(* $Id: ostack.ml,v 1.4 1999/04/30 07:53:43 garrigue Exp $ *)

class ['a] c () = object
  val mutable s : 'a list = []
  method push x = s <- x :: s
  method pop =
    match s with x::s' -> s <- s'; x
    | [] -> invalid_arg "Ostack.c#pop"
  method clear = s <- []
  method length = List.length s
  method iter = List.iter s
  method contents = s
end
