(* $Id: jg_text.mli,v 1.2 1997/04/14 00:35:54 garrigue Exp $ *)

val get_all : Widget.text Widget.widget -> string
val tag_and_see :
  Widget.text Widget.widget ->
  tag:Tk.textTag -> start:Tk.textIndex -> end:Tk.textIndex -> unit
val output :
  Widget.text Widget.widget -> buffer:string -> pos:int -> len:int -> unit
val add_scrollbar :
  Widget.text Widget.widget -> Widget.scrollbar Widget.widget
val create_with_scrollbar :
  parent:'a Widget.widget ->
  Widget.frame Widget.widget * Widget.text Widget.widget *
  Widget.scrollbar Widget.widget
val goto_tag : Widget.text Widget.widget -> tag:string -> unit
val search_string : Widget.text Widget.widget -> unit
